# Response

Check responses will be returned in the standard [JSON API](http://jsonapi.org/) format. Fields are as follows:

| Parameter            | Description                                                                                 | Notes                                                |
| -------------------- | ------------------------------------------------------------------------------------------- | ---------------------------------------------------- |
| `authentication_id`  |                                                                                             |                                                      |
| `band_text`          | An overall recommended result for the check                                                 | 'Pass', 'Refer' or 'Fail'                            |
| `country`            | The country the check was carried out in                                                    |                                                      |
| `customer_reference` |                                                                                             | Currently for internal use                           |
| `profile_id`         | The ID3 profile used to carry out the check                                                 |                                                      |
| `profile_name`       | The name of the profile                                                                     |                                                      |
| `profile_revision`   |                                                                                             | Currently for internal use                           |
| `profile_state`      |                                                                                             | Currently for internal use                           |
| `profile_version`    |                                                                                             | Currently for internal use                           |
| `results`            | An array of objects, each representing the results of a check against a particular database | See below for details                                |
| `score`              | A numeric result score for the check                                                        |                                                      |
| `timestamp`          | Timestamp for when the check was carried out                                                |                                                      |
| `id`                 |                                                                                             | Currently for internal use                           |
| `type`               |                                                                                             | For standards compliance; will always be 'id3-check' |

### Results objects

The API returns an array of result objects, one for each database check which has been performed as part of the check. Different check levels will perform different database checks. Fields are as follows:

| Parameter          | Description                                                                                                                                                                                                               | Notes                      |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------- |
| `alert`            | A result for this particular check.                                                                                                                                                                                       | Match, Nomatch etc         |
| `address`          | If provided, was there a match on the date of birth?                                                                                                                                                                      |                            |
| `comments`         | An array of objects containing comments provided on this particular check. These are specific to the check being performed and are used to provide information such as missing data. Fields are 'code' and 'description'. |                            |
| `date_of_birth`    | If provided, was there a match on the date of birth?                                                                                                                                                                      |                            |
| `description`      | Text description of this particular check                                                                                                                                                                                 |                            |
| `forename`         | If provided, was there a match on the forename?                                                                                                                                                                           |                            |
| `id`               | Check code                                                                                                                                                                                                                | Currently for internal use |
| `name`             | The title of this particular check                                                                                                                                                                                        |                            |
| `pass`             | Result indicating whether this particular check has 'passed'                                                                                                                                                              |                            |
| `sanction_matches` | List of sanctions / PEPs, if this particular result contains that information                                                                                                                                             |                            |
| `surname`          | If provided, was there a match on the surname?                                                                                                                                                                            |                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redflagalert.net/aml/response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
